import {CommonModule} from "@angular/common";
import {NgModule} from "@angular/core";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {HowItWorksComponent} from "./how-it-works.component";
import {FaqsComponent} from "./faqs.component";
import {BreadcrumbsModule} from "../openaireLibrary/utils/breadcrumbs/breadcrumbs.module";
import {PiwikService} from "../openaireLibrary/utils/piwik/piwik.service";
import {SliderTabsModule} from "../openaireLibrary/sharedComponents/tabs/slider-tabs.module";
import {HelperModule} from "../openaireLibrary/utils/helper/helper.module";
import {YouWeComponent} from "./you-we.component";

@NgModule({
	declarations: [HowItWorksComponent, FaqsComponent, YouWeComponent],
	imports: [CommonModule, RouterModule.forChild([
		{
			path: '',
			redirectTo: 'how-it-works',
			canDeactivate: [PreviousRouteRecorder],
			pathMatch: 'full'
		},
		{
			path: 'how-it-works',
			component: HowItWorksComponent,
			data: {extraOffset: 50}
		},
		{
			path: 'faqs',
			component: FaqsComponent
		},
	]), BreadcrumbsModule, SliderTabsModule, HelperModule],
	exports: [HowItWorksComponent, FaqsComponent],
	providers: [PreviousRouteRecorder, PiwikService]
})
export class AboutModule {}
